Subject: Re: [PATCH ethtool] ethtool: Add support for 200Gbps (50Gbps per lane) link mode

From: Andrew Lunn <[email-masked]>
Date: Sun, 24 Feb 2019 21:43:36 +0100

> > Hi Michal
> > 
> > So are you doing a read/modify/write? In that case, off/on makes
> > sense. For a pure write, i don't see the need for off/on.
> 
> When using netlink interface, the read/modify/write cycle is limited to
> kernel code and is done under rtnl_lock. The netlink interface allows
> userspace to send only attributes it wants to change and for bit sets
> (like link modes) to tell kernel which bits it wants to change so that
> there is no need to read current values first (and open a race window).

Nice.

But it would still be good to get feedback from people who use this
more often. I guess that is top of rack switches with all these odd
link modes.

     Andrew